Returns a list of summaries sorted by date of last update.

The result set can be further filtered using 'fromDateTime' and 'toDateTime' parameters. It can also be sorted by 'updateDate'.

  • fromDateTime: start timestamp to filter by update date.

  • toDateTime: end timestamp to filter by update date.

  • sort: sort by 'updateDate' in ascending (asc) or descending (desc) order.

GET /summaries

Example Request

/v3/summaries?fromDateTime=2022-04-01T00:00:00Z&toDateTime=2022-04-03T00:00:00Z&sort=updateDate+asc
::

"summaries": [
{
    "actionDate": "2022-03-29",
    "actionDesc": "Reported to House",
    "bill": {
        "congress": 117,
        "number": "5343",
        "originChamber": "House",
        "originChamberCode": "H",
        "title": "FEMA Caseworker Accountability Act",
        "type": "HR",
        "url": "https://api.congress.gov/v3/bill/117/hr/5343?format=json"
    },
    "currentChamber": "House",
    "currentChamberCode": "H",
    "lastSummaryUpdateDate": "2022-04-01T14:26:57Z",
    "text": "<p><strong>FEMA Caseworker Accountability Act</strong></p> <p>This bill directs the Government Accountability Office (GAO) to report to Congress on case management personnel turnover at the Federal Emergency Management Agency (FEMA).</p> <p>Specifically, the GAO must report on the turnover rate for FEMA case management personnel, the average and median length of employment for such personnel, the steps that FEMA is taking or plans to take to lower the turnover rate, the number of FEMA personnel detailed to work disaster recovery, and personnel rotations.</p>",
    "updateDate": "2022-04-02T03:49:06Z",
    "versionCode": "07"
},
]
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!